Skip to main content

Margin Loan

Info
  • This endpoint requires signature. For specific signature rules, please refer to Authentication
  • This endpoint will trigger rate limit. For specific rules, please refer to Rate Limit.

HTTP request​

POST /assets/margin/borrow

Request parameters​

Parameter NameRequiredTypeNotes
markettruestringMarket name
ccytruestringCurrency name
borrow_amounttruestringBorrowed amount
is_auto_renewtrueboolWhether to renew automatically.
Automatic renewal means that after the loan expires, the system will renew the loan based on the latest borrowing interest rate and cycle.

Return parameters​

Parameter NameTypeNotes
borrow_idintBorrow record ID
marketstringMarket name
ccystringCurrency name
daily_interest_ratestringDaily interest rate
expired_atintExpiration
borrow_amountstringBorrowed amount
to_repaid_amountstringUnrepaid amount
statusstringBorrowing status

Request example​

{
"market": "CETUSDT",
"ccy": "CET",
"is_auto_renew": true,
"loan_amount": "10000"
}

Response example​

{
"code": 0,
"data": {
"borrow_id": 72762529,
"market": "CETUSDT",
"ccy": "CET",
"daily_interest_rate": "0.06237",
"expired_at": 1691480840000,
"borrow_amount": "10000",
"to_repaid_amount": "0",
"status": "PASS"
},
"message": "OK"
}